package com.cpms.project.process.mapper;

import java.util.List;
import com.cpms.project.process.domain.TValveNonc;

/**
 * 阀门常开/常关状态记录Mapper接口
 * 
 * @author admin
 * @date 2024-04-11
 */
public interface TValveNoncMapper 
{
    /**
     * 查询阀门常开/常关状态记录
     * 
     * @param id 阀门常开/常关状态记录主键
     * @return 阀门常开/常关状态记录
     */
    public TValveNonc selectTValveNoncById(Long id);

    /**
     * 查询阀门常开/常关状态记录列表
     * 
     * @param tValveNonc 阀门常开/常关状态记录
     * @return 阀门常开/常关状态记录集合
     */
    public List<TValveNonc> selectTValveNoncList(TValveNonc tValveNonc);

    /**
     * 新增阀门常开/常关状态记录
     * 
     * @param tValveNonc 阀门常开/常关状态记录
     * @return 结果
     */
    public int insertTValveNonc(TValveNonc tValveNonc);

    /**
     * 修改阀门常开/常关状态记录
     * 
     * @param tValveNonc 阀门常开/常关状态记录
     * @return 结果
     */
    public int updateTValveNonc(TValveNonc tValveNonc);

    /**
     * 删除阀门常开/常关状态记录
     * 
     * @param id 阀门常开/常关状态记录主键
     * @return 结果
     */
    public int deleteTValveNoncById(Long id);

    /**
     * 批量删除阀门常开/常关状态记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTValveNoncByIds(Long[] ids);
}
